<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_dd5857c8" . "3f2dcebc9" . "05139788c" . "8b254c" => base64_decode("Zm9ydW0ub2JqZWN0cy5jYW50" . "X2xvYWRfcGVybXM="), "_0c5123aa744f69bbc0e8b3ea" . "2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_e485acd266ea901de09" . "188106bb87695" => base64_decode("Q2FuJ3QgY2hlY2sgcGVybWlzc2lvbnMgaW4gUHVibGlzaE9iamVjdD" . "o6VXNlckhhc1Blcm1pc3Npb24oKTo="));
class ForumObject extends ErrorHandler
{
    var $id = 0;
    var $perm_id;
    
    
    
    
    
    
    var $perms;
    
    
    
    
    var $save_perms, $perms_loaded;
    
    
    
    
    function __construct()
    {
        $this->perms = new UnifiedPermissions();
        $this->save_perms = false;
        $this->perm_id = 0;
        $this->pub_location = null;
    }
    
    
    
    
    
    
    
    function LoadPerms()
    {
        if ($this->perms->Load($this->perm_id)) {
            $this->perms_loaded = true;
            return true;
        } else {
            $this->perms_loaded = false;
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3" . "ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_dd5857c83f2dcebc90513978" . "8c8b254c"]));
        }
    }
    
    
    
    
    
    
    
    
    
    function SetPerms($_5f53bb9a0317b2cff1248a5d6f951ce0, $_d518e3269f1db8e80d2ccd12b33ff3d0 = false)
    {
        $this->perms = $_5f53bb9a0317b2cff1248a5d6f951ce0;
        $this->perm_id = $_5f53bb9a0317b2cff1248a5d6f951ce0->id;
        $this->save_perms = $_d518e3269f1db8e80d2ccd12b33ff3d0;
        return true;
    }
    
    
    
    
    
    
    
    function UserHasPermission($perms)
    {
        if (!$this->perms_loaded) {
            $this->LoadPerms();
        }
        $_1f24efd4735b7a11b391147435e7d35d = $this->perms->UserHasPermission($perms);
        if ($this->perms->IsError()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e485acd266ea901de091881" . "06bb87695"] . $this->perms->GetErrMsg());
        }
        return $_1f24efd4735b7a11b391147435e7d35d;
    }
    
    
    
    
    
    function GetModeratorsIDs()
    {
        $this->LoadPerms();
        return $this->perms->GetIndividualsList(PERM_EDIT_MODERATE);
    }
    
    
    
    
    
    
    
    function GetId()
    {
        return $this->id;
    }
    function GetPermId()
    {
        return $this->perm_id;
    }
}